#ifndef VIEW_H
#define VIEW_H

#include <QWidget>
#include <QGraphicsScene>
#include <QGraphicsRectItem>
#include <QMap>

#include "QtKinect.h"


namespace Ui {
    class QtKinectExample;
}
class QtKinectExample : public QWidget
{
    Q_OBJECT

public:
    explicit QtKinectExample(QWidget *parent = 0);
    ~QtKinectExample();

private:
    Ui::QtKinectExample *ui;
    QtKinect *m_kinect;
    QMap<XnUInt32, QGraphicsRectItem*> m_trackedHands;
    QGraphicsScene *m_scene;

    QGraphicsTextItem *m_handCoordinatesLabel;
    QGraphicsRectItem* m_handSquare;


private slots:
    void setPointOnView(XnPoint3D handPoints, XnUInt32 handID);
    void kinectPushGestureDetected();
    void onSlideTiltValueChanged(int value);
    void newLEDState();
    void onBtClearPreviewClicked();
};

#endif // VIEW_H
